-- не настраивать
require( "scripts/game/deftime.lua" );
GameObject = {
-- основные параметры
    Params = {
        ID="budka";
        width=1;
        height=1;
        GridData = { 1 };
    };
    -- точки подхода персонажа
    ActivePoints = { 
        br_plank = {
            { {}, 1,0,0, 0,  0,0,0 };
        };
    };
    Objects = {};
    -- перечисление всех задач для обьекта
    Tasks = {
        br_plank = { FuncName="PlankingTaskExecute", timer=1, time_tick=100, restore_health=1000, not_need_action=1 };
    };
    -- перечисление всех триггеров для обьекта
    Triggers = {};
    --задачи которые начинают выполнятся после создания обьекта
    InitActiveTasks = {};
    --задачи которые обьект ожидает после создания обьекта
    InitExpectedTasks = {"br_plank"};
};
function GameObject:Get()
    return self;
end
function GetParams()
    aObj = GameObject:Get();   
    return aObj.Params;
end

function PlankingTaskExecute()
    aObj = GameObject:Get();   
    return 0;
end

--CPP_AddExpectedTasks("br_plank");
